Skip to main content
POST
/
simulate
/
accounts
/
{acc_id}
/
card_brands
curl https://dev.methodfi.com/simulate/accounts/{acc_id}/card_brands \
  -X POST \
  -H "Method-Version: 2025-12-01" \
  -H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc" \
  -H "Content-Type: application/json" \
  -d '{
    "brand_id": "pdt_15_brd_1"
  }'
{
  "id": "cbrd_Accm7P6t6mYQP",
  "account_id": "acc_LxwEqNicr66yP",
  "brands": [
    {
      "id": "pdt_15_brd_1",
      "card_product_id": "pdt_15",
      "description": "Chase Sapphire Reserve",
      "name": "Chase Sapphire Reserve",
      "issuer": "Chase",
      "network": "visa",
      "network_tier": "infinite",
      "type": "specific",
      "url": "https://static.methodfi.com/card_brands/1b7ccaba6535cb837f802d968add4700.png"
    }
  ],
  "status": "completed",
  "source": "method",
  "error": null,
  "created_at": "2025-08-12T00:56:50.139Z",
  "updated_at": "2025-08-12T00:56:50.139Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.methodfi.com/llms.txt

Use this file to discover all available pages before exploring further.

Card Brand simulation is available for Credit Card Accounts that have been verified and are subscribed to the Card Brands product. Simulating a Card Brand will mimic a new card brand being retrieved for a specific Account.

Path Parameters

Body

Returns

Returns the Card Brand object.
curl https://dev.methodfi.com/simulate/accounts/{acc_id}/card_brands \
  -X POST \
  -H "Method-Version: 2025-12-01" \
  -H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc" \
  -H "Content-Type: application/json" \
  -d '{
    "brand_id": "pdt_15_brd_1"
  }'
{
  "id": "cbrd_Accm7P6t6mYQP",
  "account_id": "acc_LxwEqNicr66yP",
  "brands": [
    {
      "id": "pdt_15_brd_1",
      "card_product_id": "pdt_15",
      "description": "Chase Sapphire Reserve",
      "name": "Chase Sapphire Reserve",
      "issuer": "Chase",
      "network": "visa",
      "network_tier": "infinite",
      "type": "specific",
      "url": "https://static.methodfi.com/card_brands/1b7ccaba6535cb837f802d968add4700.png"
    }
  ],
  "status": "completed",
  "source": "method",
  "error": null,
  "created_at": "2025-08-12T00:56:50.139Z",
  "updated_at": "2025-08-12T00:56:50.139Z"
}